#
# spec file for package microarch
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           microarch
Version:        0.1
Release:        2.161
Summary:        Microarchitecture support
License:        LGPL-2.1-or-later
URL:            https://hackweek.suse.com/20/projects/support-glibc-hwcaps-and-micro-architecture-package-generation

%description
This package provides support for installing the microarchitecture library
packages.

%package -n microarch-filesystem
Summary:        Microarchitecture directory structure

%description -n microarch-filesystem
This package provides the directory structure for
the microarchitecture library packages.

%package -n microarch-x86-64-v2
Summary:        Microarchitecture x86-64-v2

%description -n microarch-x86-64-v2
Packages providing x86-64-v2 optimized libraries will supplement this
package so installing this should automatically install all optimized
libraries.

%package -n microarch-x86-64-v3
Summary:        Microarchitecture x86-64-v3

%description -n microarch-x86-64-v3
Packages providing x86-64-v3 optimized libraries will supplement this
package so installing this should automatically install all optimized
libraries.

%package -n microarch-x86-64-v4
Summary:        Microarchitecture x86-64-v4

%description -n microarch-x86-64-v4
Packages providing x86-64-v4 optimized libraries will supplement this
package so installing this should automatically install all optimized
libraries.

%prep

%build

%install
mkdir -p %{buildroot}%{_libdir}/glibc-hwcaps/x86-64-v2
mkdir -p %{buildroot}%{_libdir}/glibc-hwcaps/x86-64-v3
mkdir -p %{buildroot}%{_libdir}/glibc-hwcaps/x86-64-v4


%files -n microarch-filesystem
%dir %{_libdir}/glibc-hwcaps
%dir %{_libdir}/glibc-hwcaps/x86-64-v2
%dir %{_libdir}/glibc-hwcaps/x86-64-v3
%dir %{_libdir}/glibc-hwcaps/x86-64-v4

%files -n microarch-x86-64-v2
%dir %{_libdir}/glibc-hwcaps
%dir %{_libdir}/glibc-hwcaps/x86-64-v2

%files -n microarch-x86-64-v3
%dir %{_libdir}/glibc-hwcaps
%dir %{_libdir}/glibc-hwcaps/x86-64-v3

%files -n microarch-x86-64-v4
%dir %{_libdir}/glibc-hwcaps
%dir %{_libdir}/glibc-hwcaps/x86-64-v4

%changelog
* Thu Mar 25 2021 Antonio Larrosa <alarrosa@suse.com>
- Initial release of microarch 0.1
